<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\DB;

class UpdateEmployeesPhotosController extends Controller
{
    public function updateEmployeesPhotos() {

        $viewData = $this->loadViewData();

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $membersOfIcc = $graph->createRequest('GET', '/groups/5d530a89-fc3a-4643-b65c-b719bd7268dc/members?$select=id,displayName,userPrincipalName') // Cherche les membres du groupe "Tous les utilisateurs"
            ->setReturnType(Model\Group::class)
            ->execute();
       
        foreach ($membersOfIcc as $member) {

            // $userPrincipalName = json_decode(json_encode($member))->userPrincipalName;

            // if (str_contains($userPrincipalName,'@iccfinance.onmicrosoft.com') == false) {

                try {

                    $photo = $graph->createRequest('GET', '/users/'.$member->GetMail().'/photo/$value')
                    ->execute();

                    $photo = 'data:image/jpeg;base64,'.base64_encode($photo->getRawBody()).'';

                    $userPhoto = DB::table('rh_employees')
                        ->where('EMPLOYEE_EMAILPRO', $member->GetMail())
                        ->update([
                            'EMPLOYEE_PHOTO' => $photo
                        ]);

                }

                catch (\Exception $e) {
                    
                }

            // }

        }

        return redirect('/employe/tout');
    
    }

    public function updateEmployeesInfos() {

        $viewData = $this->loadViewData();

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $membersOfIcc = $graph->createRequest('GET', '/groups/5d530a89-fc3a-4643-b65c-b719bd7268dc/members?$select=id,displayName,userPrincipalName,accountEnabled') // Cherche les membres du groupe "Tous les utilisateurs"
            ->setReturnType(Model\Group::class)
            ->execute();
       
        foreach ($membersOfIcc as $member) {

            $userPrincipalName = json_decode(json_encode($member))->userPrincipalName;
            $accountEnabled = json_decode(json_encode($member))->accountEnabled;

            if (str_contains($userPrincipalName,'@iccfinance.onmicrosoft.com') == false) {

                try {

                    $photo = $graph->createRequest('GET', '/users/'.$userPrincipalName.'/photo/$value')->execute();

                    $photo = 'data:image/jpeg;base64,'.base64_encode($photo->getRawBody()).'';

                    $userEnabled = DB::table('rh_employees')
                        ->where('EMPLOYEE_EMAILPRO', $userPrincipalName)
                        ->update([
                            'EMPLOYEE_PHOTO' => $photo,
                            'EMPLOYEE_COMPTEACTIF' => $accountEnabled
                        ]);

                }

                catch (\Exception $e) {
                    // dd($e, $userPrincipalName);
                }

            }

        }

        return redirect('/employe/tout');
    
    }

}
